Package net.shibboleth.shared.component

# Class UnmodifiableComponentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
net.shibboleth.shared.component.UnmodifiableComponentException

All Implemented Interfaces:
  `Serializable`

public class UnmodifiableComponentException extends RuntimeException
Exception thrown if a component is in an unmodifiable state and a modification is attempted.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`UnmodifiableComponentException()`
Constructor.
`UnmodifiableComponentException(Exception wrappedException)`
Constructor.
`UnmodifiableComponentException(String message)`
Constructor.
`UnmodifiableComponentException(String message, Exception wrappedException)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### UnmodifiableComponentException

public UnmodifiableComponentException()
Constructor.

### UnmodifiableComponentException

public UnmodifiableComponentException(@Nullable String message)
Constructor.

Parameters:
  `message` - exception message

### UnmodifiableComponentException

public UnmodifiableComponentException(@Nullable Exception wrappedException)
Constructor.

Parameters:
  `wrappedException` - exception to be wrapped by this one

### UnmodifiableComponentException

public UnmodifiableComponentException(@Nullable String message, @Nullable Exception wrappedException)
Constructor.

Parameters:
  `message` - exception message
  `wrappedException` - exception to be wrapped by this one